elvish(1)

NAME
elvish - Friendly and expressive shell

SYNOPSIS
elvish [flags] [script]

FLAGS

-bin string
    path to the elvish binary

-buildinfo
    show build info and quit

-c  take first argument as a command to execute

-compileonly
    Parse/Compile but do not execute

-cpuprofile string
    write cpu profile to file

-daemon
    run daemon instead of shell

-db string
    path to the database

-help
    show usage help and quit

-json
    show output in JSON. Useful with -buildinfo.

-log string
    a file to write debug log to

-logprefix string
    the prefix for the daemon log file

-port int
    the port of the web backend (default 3171)

-sock string
    path to the daemon socket

-web
    run backend of web interface

DESCRIPTION
Elvish is a cross-platform shell, supporting Linux, BSDs and Windows. It features an expressive programming language, with features like namespacing and anonymous functions, and a fully programmable user interface with friendly defaults. It is suitable for both interactive use and scripting.

SEE ALSO
https://elvish.io

AUTHOR
This manual page was written by Shengjing Zhu <i@zhsj.me>, for the Debian GNU/Linux system (but may be used by others).